Summary:       The SPICE server implementation
Name:          spice
Version:       0.8.2
Release:       1%{?dist}%{?pext}
License:       LGPL
Group:         System Environment/Libraries
Source0:       http://%{name}-space.org/download/releases/%{name}-%{version}.tar.bz2
URL:           http://%{name}-space.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Red Hat, Inc.
BuildRequires: alsa-lib-devel celt051-devel >= 0.5.1.1 cyrus-sasl-devel
BuildRequires: libcacard-devel >= 0.1.2 libjpeg-devel libX11-devel
BuildRequires: libXext-devel libXfixes-devel libXrandr-devel
BuildRequires: libXrender-devel openssl-devel pixman-devel >= 0.17.7
BuildRequires: spice-protocol >= 0.8.1 zlib-devel
BuildArch:     i486 x86_64

%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows for
viewing a computing 'desktop' environment not only on the machine where
it is running, but from anywhere on the Internet and from a wide variety
of machine architectures. This package contains the library implementing
the server-side part of SPICE.


%package       client
Summary:       The SPICE client application
Group:         Applications/System
Requires:      %{name} = %{version}-%{release}

%description   client
The %{name}-client package contains the SPICE client application.


%package       devel
Summary:       Development tools for SPICE
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      celt051-devel >= 0.5.1.1 libjpeg-devel
Requires:      pixman-devel >= 0.17.7 openssl-devel
Requires:      pkgconfig zlib-devel

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using the SPICE server.


%prep
%setup -q


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"   \
	CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--enable-shared                                  \
	--enable-static                                  \
	--enable-smartcard

%{__make} V=1 %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
%{_libdir}/libspice-server.so.*

%files client
%defattr(-,root,root)
%{_bindir}/spicec

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-server
%{_libdir}/libspice-server.*a
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/%{name}-server.pc


%changelog
* Fri Aug 12 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.2-1
- New version (0.8.2)

* Mon May 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.1-1
- New version (0.8.1)

* Mon Mar 14 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.0-1
- Initial build
